package es.uv.garcosda.repositories;

import java.util.List;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;

import es.uv.garcosda.domain.Comment;

public interface CommentRepository extends JpaRepository<Comment, String> {

	public List<Comment> findByVideoId(String videoId);
	public Page<Comment> findByVideoId(String videoId, Pageable pageable);
	public List<Comment> findByUserId(String UserId);
	public Page<Comment> findByUserId(String UserId, Pageable pageable);
}
